package domain

type AlibabaWdkMarketingCouponQueryitemsItemCouponSku struct {
	/*
	   商品的skuCode     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   商品名称     */
	SkuName *string `json:"sku_name,omitempty" `

	/*
	   淘宝item和shop的对应关系， k-itemId, v-shopId     */
	ItemShopRelation *string `json:"item_shop_relation,omitempty" `
}

func (s *AlibabaWdkMarketingCouponQueryitemsItemCouponSku) SetSkuCode(v string) *AlibabaWdkMarketingCouponQueryitemsItemCouponSku {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkMarketingCouponQueryitemsItemCouponSku) SetSkuName(v string) *AlibabaWdkMarketingCouponQueryitemsItemCouponSku {
	s.SkuName = &v
	return s
}
func (s *AlibabaWdkMarketingCouponQueryitemsItemCouponSku) SetItemShopRelation(v string) *AlibabaWdkMarketingCouponQueryitemsItemCouponSku {
	s.ItemShopRelation = &v
	return s
}
